Integration Runtimes - Create Linked Integration Runtime
共有統合ランタイムにリンクされた統合ランタイム エントリを作成します。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/integrationRuntimes/{integrationRuntimeName}/linkedIntegrationRuntime?api-version=2018-06-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
factory
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$ |
ファクトリ名。 |
|
integration
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$ |
統合ランタイム名。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前の大文字と小文字は区別されません。 |
|
subscription
|
path | True |
string (uuid) |
ターゲット サブスクリプションの ID。 値は UUID である必要があります。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求本文
| 名前 | 型 | 説明 |
|---|---|---|
| dataFactoryLocation |
string |
リンクされた統合ランタイムが属するデータ ファクトリの場所。 |
| dataFactoryName |
string |
リンクされた統合ランタイムが属するデータ ファクトリの名前。 |
| name |
string |
リンクされた統合ランタイムの名前。 |
| subscriptionId |
string |
リンクされた統合ランタイムが属しているサブスクリプションの ID。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
Azureの運用は無事に完了しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
IntegrationRuntimes_CreateLinkedIntegrationRuntime
要求のサンプル
POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/integrationRuntimes/exampleIntegrationRuntime/linkedIntegrationRuntime?api-version=2018-06-01
{
"name": "bfa92911-9fb6-4fbe-8f23-beae87bc1c83",
"dataFactoryLocation": "West US",
"dataFactoryName": "e9955d6d-56ea-4be3-841c-52a12c1a9981",
"subscriptionId": "061774c7-4b5a-4159-a55b-365581830283"
}
応答のサンプル
Date: Fri, 17 Aug 2018 06:31:03 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: f9a67067-62f3-43ce-b891-2ccb3de4a15f
x-ms-ratelimit-remaining-subscription-writes: 1199
x-ms-request-id: f9a67067-62f3-43ce-b891-2ccb3de4a15f
{
"name": "exampleIntegrationRuntime",
"properties": {
"type": "SelfHosted",
"dataFactoryName": "exampleFactoryName",
"state": "Online",
"typeProperties": {
"autoUpdate": "On",
"autoUpdateETA": "2018-08-20T19:00:00Z",
"capabilities": {
"connectedToResourceManager": "True",
"credentialInSync": "True",
"httpsPortEnabled": "True",
"nodeEnabled": "True",
"serviceBusConnected": "True"
},
"createTime": "2018-08-17T03:43:25.7055573Z",
"latestVersion": "3.9.6774.1",
"links": [
{
"name": "bfa92911-9fb6-4fbe-8f23-beae87bc1c83",
"createTime": "2018-08-17T06:31:04.0617928Z",
"dataFactoryLocation": "West US",
"dataFactoryName": "e9955d6d-56ea-4be3-841c-52a12c1a9981",
"subscriptionId": "061774c7-4b5a-4159-a55b-365581830283"
}
],
"localTimeZoneOffset": "PT8H",
"nodes": [
{
"capabilities": {
"connectedToResourceManager": "True",
"credentialInSync": "True",
"httpsPortEnabled": "True",
"nodeEnabled": "True",
"serviceBusConnected": "True"
},
"hostServiceUri": "https://yanzhang-dt.fareast.corp.microsoft.com:8050/HostServiceRemote.svc/",
"isActiveDispatcher": true,
"lastConnectTime": "2018-08-17T06:30:46.6262976Z",
"lastStartTime": "2018-08-17T03:45:30.8499851Z",
"lastUpdateResult": "None",
"machineName": "YANZHANG-DT",
"maxConcurrentJobs": 20,
"nodeName": "Node_1",
"registerTime": "2018-08-17T03:44:55.8012825Z",
"status": "Online",
"version": "3.8.6743.6",
"versionStatus": "UpToDate"
}
],
"pushedVersion": "3.9.6774.1",
"scheduledUpdateDate": "2018-08-20T00:00:00Z",
"serviceUrls": [
"wu.frontend.int.clouddatahub-int.net",
"*.servicebus.windows.net"
],
"taskQueueId": "823da112-f2d9-426b-a0d8-5f361b94f72a",
"updateDelayOffset": "PT19H",
"version": "3.8.6743.6",
"versionStatus": "UpdateAvailable"
}
}
}
定義
| 名前 | 説明 |
|---|---|
|
Cloud |
Azure Data Factory エラー応答の構造を定義するオブジェクト。 |
|
Create |
リンクされた統合ランタイム情報。 |
|
Integration |
統合ランタイムの自動更新の状態。 |
|
Integration |
ノードノード通信チャネルの暗号化モードを設定するために使用されます (2 つ以上のセルフホステッド統合ランタイム ノードが存在する場合)。 |
|
Integration |
統合ランタイムの状態。 |
|
Integration |
統合ランタイムの状態の応答。 |
|
Integration |
統合ランタイムの種類。 |
|
Integration |
最後の統合ランタイム ノード更新の結果。 |
|
Linked |
リンクされた統合ランタイム情報。 |
|
Managed |
マネージド統合ランタイムのエラー定義。 |
|
Managed |
統合ランタイム ノードのプロパティ。 |
|
Managed |
マネージド統合ランタイム ノードの状態。 |
|
Managed |
マネージド統合ランタイム操作の結果のプロパティ。 |
|
Managed |
マネージド統合ランタイムの状態。 |
|
Self |
セルフホステッド統合ランタイム ノードのプロパティ。 |
|
Self |
統合ランタイム ノードの状態。 |
|
Self |
セルフホステッド統合ランタイムの状態。 |
CloudError
Azure Data Factory エラー応答の構造を定義するオブジェクト。
| 名前 | 型 | 説明 |
|---|---|---|
| error.code |
string |
エラー コード。 |
| error.details |
追加のエラーの詳細を含む配列。 |
|
| error.message |
string |
エラーメッセージ。 |
| error.target |
string |
エラーに関連付けられている要求のプロパティ名/パス。 |
CreateLinkedIntegrationRuntimeRequest
リンクされた統合ランタイム情報。
| 名前 | 型 | 説明 |
|---|---|---|
| dataFactoryLocation |
string |
リンクされた統合ランタイムが属するデータ ファクトリの場所。 |
| dataFactoryName |
string |
リンクされた統合ランタイムが属するデータ ファクトリの名前。 |
| name |
string |
リンクされた統合ランタイムの名前。 |
| subscriptionId |
string |
リンクされた統合ランタイムが属しているサブスクリプションの ID。 |
IntegrationRuntimeAutoUpdate
統合ランタイムの自動更新の状態。
| 値 | 説明 |
|---|---|
| On |
オン |
| Off |
オフ |
IntegrationRuntimeInternalChannelEncryptionMode
ノードノード通信チャネルの暗号化モードを設定するために使用されます (2 つ以上のセルフホステッド統合ランタイム ノードが存在する場合)。
| 値 | 説明 |
|---|---|
| NotSet |
未設定 |
| SslEncrypted |
SslEncrypted |
| NotEncrypted |
暗号化されていない |
IntegrationRuntimeState
統合ランタイムの状態。
| 値 | 説明 |
|---|---|
| Initial |
初期 |
| Stopped |
停止済み |
| Started |
Started |
| Starting |
開始中 |
| Stopping |
停車 |
| NeedRegistration |
NeedRegistration(登録が必要) |
| Online |
オンライン |
| Limited |
制限あり |
| Offline |
オフライン |
| AccessDenied |
AccessDenied |
IntegrationRuntimeStatusResponse
統合ランタイムの状態の応答。
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
統合ランタイム名。 |
| properties | IntegrationRuntimeStatus: |
統合ランタイムのプロパティ。 |
IntegrationRuntimeType
統合ランタイムの種類。
| 値 | 説明 |
|---|---|
| Managed |
マネージド |
| SelfHosted |
セルフホスト |
IntegrationRuntimeUpdateResult
最後の統合ランタイム ノード更新の結果。
| 値 | 説明 |
|---|---|
| None |
なし |
| Succeed |
合格 |
| Fail |
失敗 |
LinkedIntegrationRuntime
リンクされた統合ランタイム情報。
| 名前 | 型 | 説明 |
|---|---|---|
| createTime |
string (date-time) |
リンクされた統合ランタイムの作成時刻。 |
| dataFactoryLocation |
string |
リンクされた統合ランタイムが属するデータ ファクトリの場所。 |
| dataFactoryName |
string |
リンクされた統合ランタイムが属するデータ ファクトリの名前。 |
| name |
string |
リンクされた統合ランタイムの名前。 |
| subscriptionId |
string |
リンクされた統合ランタイムが属するサブスクリプション ID。 |
ManagedIntegrationRuntimeError
マネージド統合ランタイムのエラー定義。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラー コード。 |
| message |
string |
エラーメッセージ。 |
| parameters |
string[] |
マネージド統合ランタイムのエラー パラメーター。 |
| time |
string (date-time) |
エラーが発生した時刻。 |
ManagedIntegrationRuntimeNode
統合ランタイム ノードのプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| errors |
この統合ランタイム ノードで発生したエラー。 |
|
| nodeId |
string |
マネージド統合ランタイム ノード ID。 |
| status |
マネージド統合ランタイム ノードの状態。 |
ManagedIntegrationRuntimeNodeStatus
マネージド統合ランタイム ノードの状態。
| 値 | 説明 |
|---|---|
| Starting |
開始中 |
| Available |
在庫有り |
| Recycling |
リサイクル |
| Unavailable |
利用不可 |
ManagedIntegrationRuntimeOperationResult
マネージド統合ランタイム操作の結果のプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| activityId |
string |
操作要求のアクティビティ ID。 |
| errorCode |
string |
エラー コード。 |
| parameters |
string[] |
マネージド統合ランタイムのエラー パラメーター。 |
| result |
string |
操作の結果。 |
| startTime |
string (date-time) |
操作の開始時刻。 |
| type |
string |
操作の種類。 開始または停止できます。 |
ManagedIntegrationRuntimeStatus
マネージド統合ランタイムの状態。
| 名前 | 型 | 説明 |
|---|---|---|
| dataFactoryName |
string |
統合ランタイムが属するデータ ファクトリ名。 |
| state |
統合ランタイムの状態。 |
|
| type |
string:
Managed |
統合ランタイムの種類。 |
| typeProperties.createTime |
string (date-time) |
統合ランタイムが作成された時刻 (ISO8601形式)。 |
| typeProperties.lastOperation |
この統合ランタイムで発生した最後の操作の結果。 |
|
| typeProperties.nodes |
マネージド統合ランタイムのノードの一覧。 |
|
| typeProperties.otherErrors |
この統合ランタイムで発生したエラー。 |
SelfHostedIntegrationRuntimeNode
セルフホステッド統合ランタイム ノードのプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| capabilities |
object |
統合ランタイム機能ディクショナリ |
| concurrentJobsLimit |
integer (int32) |
統合ランタイム ノードでの最大同時実行ジョブ数。 |
| expiryTime |
string (date-time) |
統合ランタイムがISO8601形式で期限切れになる時刻。 |
| hostServiceUri |
string |
統合ランタイムのホスト マシンの URI。 |
| isActiveDispatcher |
boolean |
このノードが統合ランタイム要求のアクティブディスパッチャーであるかどうかを示します。 |
| lastConnectTime |
string (date-time) |
統合ランタイムがISO8601形式で接続された最新の時刻。 |
| lastEndUpdateTime |
string (date-time) |
統合ランタイム ノードの更新が最後に終了した時刻。 |
| lastStartTime |
string (date-time) |
ノードが最後に起動した時刻。 |
| lastStartUpdateTime |
string (date-time) |
統合ランタイム ノードの更新が最後に開始された時刻。 |
| lastStopTime |
string (date-time) |
統合ランタイム ノードの最終停止時刻。 |
| lastUpdateResult |
最後の統合ランタイム ノード更新の結果。 |
|
| machineName |
string |
統合ランタイム ノードのマシン名。 |
| maxConcurrentJobs |
integer (int32) |
この統合ランタイムの最大同時実行ジョブ数。 |
| nodeName |
string |
統合ランタイム ノードの名前。 |
| registerTime |
string (date-time) |
統合ランタイム ノードがISO8601形式で登録された時刻。 |
| status |
統合ランタイム ノードの状態。 |
|
| version |
string |
統合ランタイム ノードのバージョン。 |
| versionStatus |
string |
統合ランタイム ノードのバージョンの状態。 |
SelfHostedIntegrationRuntimeNodeStatus
統合ランタイム ノードの状態。
| 値 | 説明 |
|---|---|
| NeedRegistration |
NeedRegistration(登録が必要) |
| Online |
オンライン |
| Limited |
制限あり |
| Offline |
オフライン |
| Upgrading |
アップグレード中 |
| Initializing |
初期化 |
| InitializeFailed |
InitializeFailed |
SelfHostedIntegrationRuntimeStatus
セルフホステッド統合ランタイムの状態。
| 名前 | 型 | 説明 |
|---|---|---|
| dataFactoryName |
string |
統合ランタイムが属するデータ ファクトリ名。 |
| state |
統合ランタイムの状態。 |
|
| type |
string:
Self |
統合ランタイムの種類。 |
| typeProperties.autoUpdate |
セルフホステッド統合ランタイムの自動更新が有効になっているかどうか。 |
|
| typeProperties.autoUpdateETA |
string (date-time) |
セルフホステッド統合ランタイムが更新される推定時間。 |
| typeProperties.capabilities |
object |
統合ランタイム機能に関する追加情報を含むオブジェクト。 |
| typeProperties.createTime |
string (date-time) |
統合ランタイムが作成された時刻 (ISO8601形式)。 |
| typeProperties.internalChannelEncryption |
ノードノード通信チャネルの暗号化モードを設定するために使用されます (2 つ以上のセルフホステッド統合ランタイム ノードが存在する場合)。 |
|
| typeProperties.latestVersion |
string |
ダウンロード センターの最新バージョン。 |
| typeProperties.links |
この統合ランタイムと共有するために作成されたリンクされた統合ランタイムの一覧。 |
|
| typeProperties.localTimeZoneOffset |
string |
ローカル タイム ゾーンオフセット (時間単位)。 |
| typeProperties.nodes |
この統合ランタイムのノードの一覧。 |
|
| typeProperties.pushedVersion |
string |
統合ランタイムが更新されるバージョン。 |
| typeProperties.scheduledUpdateDate |
string (date-time) |
統合ランタイムの更新がスケジュールされる日付 (ISO8601形式)。 |
| typeProperties.selfContainedInteractiveAuthoringEnabled |
boolean |
セルフホステッド統合ランタイムが Azure Relay との接続を確立できない場合に、対話型の作成機能を確保する別のオプション。 |
| typeProperties.serviceUrls |
string[] |
統合ランタイム バックエンド サービスで使用されるサービスの URL。 |
| typeProperties.taskQueueId |
string |
統合ランタイムのタスク キュー ID。 |
| typeProperties.updateDelayOffset |
string |
統合ランタイムを更新するようにサービスによってスケジュールされた日付の時刻 (PT03H など) は 3 時間です |
| typeProperties.version |
string |
統合ランタイムのバージョン。 |
| typeProperties.versionStatus |
string |
統合ランタイム バージョンの状態。 |